# pydicom.encaps.itemize_fragment

pydicom.encaps.itemize_fragment(fragment: bytes) → bytes

  Return an itemized fragment.

  New in version 1.2.

  Parameters

    fragment (bytes) – The fragment to itemize.

  Returns

    The itemized fragment.

  Return type

    bytes

  Notes

  - The encoding of the item shall be in Little Endian.

  - Each fragment is encapsulated as a DICOM Item with tag (FFFE,E000), then a 4 byte length.